Page MenuHomePhabricator

Add autopatroller user group to az.wiktionary
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterCreate "autopatrolled" user group on az.wiktionary

Event Timeline

Turkmen created this task.Jul 3 2019, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 4:32 PM
Turkmen renamed this task from Request for upload a rollbacker's right to to Request for upload a autopatroller's right to az.wiktionary.Jul 3 2019, 4:33 PM
DannyS712 claimed this task.Jul 3 2019, 5:02 PM
DannyS712 added a subscriber: DannyS712.

@Turkmen - using google translate, my understanding is that you want to create an "autopatroller" group on az.wiktionary, with the "autopatrol" user right. I assume this would be granted and revoked by administrators. Is this correct?

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 3 2019, 5:02 PM
Turkmen renamed this task from Request for upload a autopatroller's right to az.wiktionary to Request for upload a autopatrol's right to az.wiktionary.Jul 3 2019, 5:25 PM
Urbanecm renamed this task from Request for upload a autopatrol's right to az.wiktionary to Add autopatroller user group to az.wiktionary.Jul 3 2019, 5:50 PM
Urbanecm triaged this task as Normal priority.

Change 520507 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Create "autopatroller" user group on az.wiktionary

https://gerrit.wikimedia.org/r/520507

DannyS712 added a project: User-Urbanecm.
DannyS712 moved this task from Backlog to To deploy on the User-Urbanecm board.

Why is it so late? Any problem?

Hi @Turkmen, no, there is no problem. @DannyS712 wrote a patch to change the behaviour as you desire, and the patch is waiting to be deployed. For site reliability reasons, deploys cannot happen at any point, but must happen in deployment windows. This is to assure that there will be always someone to fix the site in case of a very unlikely event that the change will break Wikipedia. There is a limited amount of the windows, and the change wasn't scheduled for any window yet. In fact, there wasn't any usable window that your change can be deployed in yet. It is very likely the change will be deployed during the next week. Best regards, Martin Urbanec

@Urbanecm and @Aklapper, thank you for your information. Regards

Change 520507 merged by jenkins-bot:
[operations/mediawiki-config@master] Create "autopatrolled" user group on az.wiktionary

https://gerrit.wikimedia.org/r/520507

Mentioned in SAL (#wikimedia-operations) [2019-07-08T11:04:57Z] <urbanecm@deploy1001> Synchronized dblists/commonsuploads.dblist: SWAT: [[:gerrit:520507|Create "autopatrolled" user group on az.wiktionary]] (T227208) (duration: 00m 50s)

Sorry, this was relevant to another task.

Mentioned in SAL (#wikimedia-operations) [2019-07-08T11:07:50Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:520507|Create "autopatrolled" user group on az.wiktionary]] (T227208) (duration: 00m 49s)

Urbanecm closed this task as Resolved.Jul 8 2019, 11:13 AM

Thank you all